---
updatedAt: 2026-05-20T06:32:05.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Lists Deactivation Intents

Returns deactivation requests (only unclaimed stakes) for a **given wallet address**.

Deactivation requests are stored in the blockchain and provide the user with an unbond nonce for each. Nonces are used to unstake (withdraw) your tokens with [Post Withdrawal Intent](https://docs.blockdaemon.com/reference/postpolygonwithdrawalintent).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "WalletAddress": {
        "name": "wallet_address",
        "in": "query",
        "required": false,
        "description": "User wallet address.",
        "schema": {
          "$ref": "#/components/schemas/EthereumAddress"
        }
      },
      "PolygonNetwork": {
        "name": "network",
        "in": "path",
        "description": "Polygon network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/PolygonNetwork"
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "CustomerId": {
        "type": "string",
        "description": "Unique identifier for a customer",
        "example": "SatoshiNakamoto-xUYJbPw9hw",
        "minimum": 1
      },
      "DeactivationIntentsPolygon": {
        "type": "object",
        "required": [
          "items",
          "wallet_address"
        ],
        "properties": {
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Unbond"
            }
          },
          "wallet_address": {
            "$ref": "#/components/schemas/EthereumAddress"
          }
        }
      },
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "EthereumAddress": {
        "type": "string",
        "description": "Hex-encoded Ethereum [account or smart contract address](https://ethereum.org/en/developers/docs/accounts/).",
        "format": "hex",
        "pattern": "^0x[a-fA-F0-9]{40}$",
        "example": "0x00000000219ab540356cBB839Cbe05303d7705Fa"
      },
      "Nonce": {
        "type": "integer",
        "description": "Number for one use only",
        "example": 1
      },
      "PolygonNetwork": {
        "type": "string",
        "description": "Polygon network",
        "enum": [
          "mainnet",
          "goerli",
          "prater"
        ]
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      },
      "Unbond": {
        "type": "object",
        "description": "Unbond information",
        "required": [
          "nonce",
          "amount",
          "withdraw_epoch"
        ],
        "properties": {
          "nonce": {
            "$ref": "#/components/schemas/Nonce"
          },
          "amount": {
            "$ref": "#/components/schemas/Wei"
          },
          "withdraw_epoch": {
            "type": "integer"
          }
        }
      },
      "Wei": {
        "type": "string",
        "description": "Denomination of the cryptocurrency Polygon.",
        "pattern": "^[1-9]\\d+$",
        "example": "100"
      },
      "PolygonProtocol": {
        "type": "string",
        "description": "Polygon protocol",
        "enum": [
          "polygon"
        ]
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/polygon/{network}/deactivation-intents": {
      "parameters": [
        {
          "$ref": "#/components/parameters/PolygonNetwork"
        }
      ],
      "get": {
        "parameters": [
          {
            "$ref": "#/components/parameters/WalletAddress"
          }
        ],
        "summary": "Lists Deactivation Intents",
        "operationId": "getPolygonDeactivationIntents",
        "tags": [
          "Polygon"
        ],
        "description": "Returns deactivation requests (only unclaimed stakes) for a **given wallet address**.\n\nDeactivation requests are stored in the blockchain and provide the user with an unbond nonce for each. Nonces are used to unstake (withdraw) your tokens with [Post Withdrawal Intent](https://docs.blockdaemon.com/reference/postpolygonwithdrawalintent).",
        "responses": {
          "200": {
            "description": "Deactivation intents listed",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "description": "Deactivation intents",
                  "required": [
                    "protocol",
                    "network",
                    "customer_id"
                  ],
                  "properties": {
                    "protocol": {
                      "$ref": "#/components/schemas/PolygonProtocol"
                    },
                    "network": {
                      "$ref": "#/components/schemas/PolygonNetwork"
                    },
                    "polygon": {
                      "$ref": "#/components/schemas/DeactivationIntentsPolygon"
                    },
                    "customer_id": {
                      "$ref": "#/components/schemas/CustomerId"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Polygon",
      "description": "Polygon endpoints"
    }
  ]
}
```